package com.nisum.omd.controllers;

import java.time.LocalDate;
import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.nisum.omd.dto.WeeklyOrders;
import com.nisum.omd.pojo.OrdersSummary;
import com.nisum.omd.service.OrdersSummaryService;


@RestController
@RequestMapping("orders")
public class OrdersSummaryController {

    @Autowired
    OrdersSummaryService ordersSummaryService;

        @GetMapping("/orderCount")
        public OrdersSummary getOrderSummary(){
            OrdersSummary ordersSummary=ordersSummaryService.getOrderSummaryCount();
            return  ordersSummary;
        }
       /* 
        @GetMapping("/weeklyCount")
        public Map<LocalDate, Long> getWeeklyOrderSummary(){
            Map<LocalDate, Long> ordersSummary=ordersSummaryService.getOrderSummaryInWeek();
            return  ordersSummary;

        } */
        
        @GetMapping("/weeklyCount")
        public List<WeeklyOrders> getWeeklyOrderSummary(){
        	List<WeeklyOrders>  ordersSummary=ordersSummaryService.getOrderSummaryInWeek();
            return  ordersSummary;

        }


}

